# OpalManagerConsole Class Reference

`#include <console_mgr.h>`

Inheritance diagram for OpalManagerConsole:

[legend]
Collaboration diagram for OpalManagerConsole:
[legend]

## Public Member Functions

| OpalManagerConsole ()
PString | GetArgumentSpec () const
PString | GetArgumentUsage () const
bool | Initialise (PArgList &args, bool verbose, const PString &defaultRoute=PString::Empty())

## Protected Member Functions

SIPEndPoint * | CreateSIPEndPoint ()
H323EndPoint * | CreateH323EndPoint ()
OpalLineEndPoint * | CreateLineEndPoint ()

## Detailed Description

Opal manager class for console applications. An OpalManager derived class for use in a console application, providing a standard set of command line arguments for configuring many system parameters. Used by the sample applications such as faxopal, ovropal etc.

## Constructor & Destructor Documentation

OpalManagerConsole::OpalManagerConsole | ( |  | ) |

## Member Function Documentation

H323EndPoint* OpalManagerConsole::CreateH323EndPoint | ( |  | ) | `[protected]`

OpalLineEndPoint* OpalManagerConsole::CreateLineEndPoint | ( |  | ) | `[protected]`

SIPEndPoint* OpalManagerConsole::CreateSIPEndPoint | ( |  | ) | `[protected]`

PString OpalManagerConsole::GetArgumentSpec | ( |  | ) | const

PString OpalManagerConsole::GetArgumentUsage | ( |  | ) | const

bool OpalManagerConsole::Initialise | ( | PArgList & | args,
|  | bool | verbose,
|  | const PString & | defaultRoute = `PString::Empty()` |
| ) |  |  |

The documentation for this class was generated from the following file:

- console_mgr.h